#version 3.5;

// house walls
// front wall
#declare front_wall_brick_layer=
intersection{
difference{
 box{-.5,.5
  texture{t_brick}
  scale <500,250,4>
 }
 box{
  -.5,.5
  texture{t_brick
   rotate 90*y
  }
  scale <110,190,500>
  translate <-60,-125+190*.5,240>
 }
 box{
  -.5,.5
  texture{t_brick
   rotate 90*y
  }
  scale <90,100,500>
  translate <120,-125+50+80,240>
 }
}
 plane{z,20
  texture{t_brick
   rotate 90*y
  }
 }
 texture{t_dirty}
}
#declare p1=
pigment{
 granite
 turbulence .2
 color_map{
  [0 Gray50]
  [1 White]
 }
 scale 2
}
#declare p2=
pigment{
 crackle
 turbulence .1
 pigment_map{
  [0 Gray10]
  [0.01 Gray]
  [0.02 p1]
  [1 p1]
 }
 scale .5
}
#declare front_wall_lime_layer=
intersection{
difference{
 height_field{
  pattern hf_hres,hf_vres{
   hf_gray_16
   wrinkles
   turbulence .2
   lambda 3
   pigment_map{
    [0.00 Gray10]
    [0.30 Gray10]
    [0.40 p2]
    [1.00 p2]
   }
   scale .2
   translate 21.1321*z
  }
  translate -.5
  rotate -90*x
  texture{pigment{White}}
  scale <500,250,1>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <110,190,500>
  translate <-60,-125+190*.5,240>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <90,100,500>
  translate <120,-125+50+80,240>
 }
}
 plane{z,20 pigment{White}}
 texture{t_dirty}
}
#declare front_wall=
union{
 object{front_wall_brick_layer
  translate <0,125,0>
 }
 object{front_wall_lime_layer
  translate <0,125,-2>
 }
}
// side wall
#declare side_wall_brick_layer=
intersection{
difference{
 box{-.5,.5
  texture{t_brick}
  scale <500,250,4>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <90,100,500>
  translate <0,-125+50+80,240>
 }
}
 plane{z,20 pigment{White}}
 texture{t_dirty}
}
#declare p1=
pigment{
 granite
 turbulence .2
 color_map{
  [0 Gray50]
  [1 White]
 }
 scale 2
}
#declare p2=
pigment{
 crackle
 turbulence .1
 pigment_map{
  [0 Gray10]
  [0.01 Gray]
  [0.02 p1]
  [1 p1]
 }
 scale .5
}
#declare side_wall_lime_layer=
intersection{
difference{
 height_field{
  pattern hf_hres,hf_vres{
   hf_gray_16
   wrinkles
   turbulence .2
   lambda 3
   pigment_map{
    [0.00 Gray10]
    [0.30 Gray10]
    [0.40 p2]
    [1.00 p2]
   }
   scale .2
   translate 100*x
   translate 21.1321*z
  }
  translate -.5
  rotate -90*x
  texture{pigment{White}}
  scale <500,250,1>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <90,100,500>
  translate <0,-125+50+80,240>
 }
}
 plane{z,20 pigment{White}}
 texture{t_dirty}
}
#declare side_wall=
union{
 object{side_wall_brick_layer
  translate <0,125,0>
 }
 object{side_wall_lime_layer
  translate <0,125,-2>
 }
}
// side 1st floor
#declare side_wall_u_brick_layer=
intersection{
difference{
 height_field{
  pattern hf_hres,hf_vres{
   hf_gray_16
   brick
   color Gray10 color White
   scale .01
   rotate 90*x
   translate 1.14321*z
  }
  translate -.5
  rotate -90*x
  texture{t_brick}
  scale <500,250,4>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <60,60,500>
  translate <0,-125+30+40,240>
 }
}
 plane{z,20 pigment{White}}
 texture{t_dirty}
}
#declare p1=
pigment{
 granite
 turbulence .2
 color_map{
  [0 Gray50]
  [1 White]
 }
 scale 2
}
#declare p2=
pigment{
 crackle
 turbulence .1
 pigment_map{
  [0 Gray10]
  [0.01 Gray]
  [0.02 p1]
  [1 p1]
 }
 scale .5
}
#declare side_wall_u_lime_layer=
intersection{
difference{
 height_field{
  pattern hf_hres,hf_vres{
   hf_gray_16
   wrinkles
   turbulence .2
   lambda 3
   pigment_map{
    [0.00 Gray10]
    [0.40 Gray10]
    [0.50 p2]
    [1.00 p2]
   }
   scale .2
   translate -100*x
   translate 21.1321*z
  }
  translate -.5
  rotate -90*x
  texture{pigment{White}}
  scale <500,250,1>
 }
 box{
  -.5,.5
  texture{pigment{White}}
  scale <60,60,500>
  translate <0,-125+30+40,240>
 }
}
 plane{z,20 pigment{White}}
 texture{t_dirty}
}
#declare side_wall_u=
union{
 object{side_wall_u_brick_layer
  translate <0,125,0>
 }
 object{side_wall_u_lime_layer
  translate <0,125,-2>
 }
}
#declare side_wall_upper=
intersection{
 object{side_wall_u}
 plane{x,0 inverse rotate -60*z pigment{White} translate -250*x}
 plane{x,0 rotate 60*z pigment{White} translate 250*x}
}
