// *** THAT'S MEGAPOV CODE ***
#version 3.5;

#declare t_brick=
texture{
 pigment{
  brick
  color Wheat color DarkTan*.75+Orange*.25
  scale .01
  translate 1.14321*z
 }
 translate -.5
}
#declare t_dirty=
texture{
 pigment{
  bozo turbulence 1
  color_map{
   [0 Clear]
   [.8 DarkTan filter 0.5]
   [1.0 Clear]
  }
  scale 50
  translate 100
 }
 normal{granite}
}
// texture for the heighfield : land parts
#declare t_land=
texture{
 pigment{
  bozo
  color_map{
   [0 Tan]
   [.5 Flesh*.8+Tan*.1]
   [1 Tan]
  }
  scale .1
 }
 normal{granite}
 scale .1
}
/*texture{
 pigment{
  gradient y
  color_map{
   [0 Aquamarine*.2+DarkTan*.2]
   [.3 rgbft <1,1,1,1,1>]
   [1 rgbft <1,1,1,1,1>]
  }
 }
 scale 150*y translate -28*y
}*/
// grass parts
#declare t_grass=
texture{
 pigment{
  granite
  turbulence .3
  lambda 3
  color_map{
   [0 DarkGreen+Yellow*.1+Gray10]
   [.5 ForestGreen*.1+Tan*.5+Yellow*.1]
   [1 HuntersGreen+Yellow*.1+Gray10]
  }
 }
 normal{agate turbulence 1}
 scale .1
}
/*
texture{
 pigment{
  gradient y
  color_map{
   [0 Aquamarine*.2+DarkTan*.2]
   [.3 rgbft <1,1,1,1,1>]
   [1 rgbft <1,1,1,1,1>]
  }
 }
 scale 150*y translate -28*y
}*/
// final sloped texture for the whole terrain
#declare t_terr=
texture{
 slope y
 texture_map{
  [0.0 t_grass]
  [0.5 t_land]
  [1.0 t_grass]
 }
}
#declare t_terr2=
texture{
 slope y
 texture_map{
  [0.0 t_land]
  [0.5 t_grass]
  [0.999 t_grass]
  [1.0 t_land]
 }
}
#declare t_water=
texture{
 pigment{Tan*.4+Aquamarine*.6 filter .5 transmit .5}
 finish{Mirror}
}
#declare m_water=
material{
 texture{
  pigment{Tan*.4+Aquamarine*.4
  #if (use_water=1)
   filter .5 transmit .5
  #end
  }
  normal{
   crackle .1 turbulence .1 lambda 3
   normal_map{
    [0 wrinkles .1 turbulence .4]
    [1 dents .1 turbulence .1]
   }
   turbulence .3 scale 30
  }
  finish{
   reflection_type 1
   conserve_energy
  }
 }
 interior{
  ior 1.333
  fade_distance 25
  fade_power 4
  media {
   intervals 12
   samples 1, 10
   confidence 0.9999
   variance 1/1000
   scattering{1,.05}
  }
 }
}

// *** TREE textures ***
#declare t_bark=
texture{
 pigment{
  granite
  turbulence 0.5
  color_map{
   [0.0 DarkBrown]
   [0.4 DarkBrown]
   [0.5 Gray]
   [1.0 Tan]
  }
 }
 normal{granite 4 turbulence 0.5}
 scale 8
}
#declare t_leaves=
texture{
 pigment{
  gradient z
  color_map{
   [0.0 ForestGreen]
   [0.5 Goldenrod]
   [1.0 DkGreenCopper]
  }
  scale 20
 }
 normal{crackle scale .5}
// finish{Dull}
}
